Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.newspaper
Class HtmlNewspaperTableRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlTableRendererBase
                  org.apache.myfaces.custom.newspaper.HtmlNewspaperTableRenderer

public class HtmlNewspaperTableRenderer
extends HtmlTableRendererBase

Renderer for a table in multiple balanced columns.

Author:
  Jesse Wilson

Field Summary

Fields inherited from class org.apache.myfaces.renderkit.html.HtmlTableRendererBase
`FOOTER_FACET_NAME, HEADER_FACET_NAME`

Constructor Summary
`HtmlNewspaperTableRenderer()`

Method Summary
`void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`static org.apache.myfaces.custom.newspaper.HtmlNewspaperTableRenderer.Styles` | `getStyles(HtmlNewspaperTable newspaperTable)` Gets styles for the specified component.

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlTableRendererBase
`afterRow, afterTable, beforeRow, beforeTable, decode, determineChildColSpan, encodeColumnChild, encodeInnerHtml, getFooterClass, getHeaderClass, getRendersChildren, hasFacet, renderColumnBody, renderColumnChildHeaderOrFooterRow, renderColumnFooterCell, renderColumnFooterCell, renderColumnFooterRow, renderColumnHeaderCell, renderColumnHeaderCell, renderColumnHeaderRow, renderFacet, renderRowEnd, renderRowStart, renderRowStyle, renderTableFooterRow, renderTableHeaderRow`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlNewspaperTableRenderer

    public HtmlNewspaperTableRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `HtmlTableRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeBegin(FacesContext, UIComponent)`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent uiComponent)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlTableRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeChildren(FacesContext, UIComponent)`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlTableRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeEnd(FacesContext, UIComponent)`

### getStyles

    public static org.apache.myfaces.custom.newspaper.HtmlNewspaperTableRenderer.Styles getStyles(HtmlNewspaperTable newspaperTable)

  Gets styles for the specified component.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD